package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.StringUtils;

import com.ym.mec.biz.dal.enums.MusicGroupStatusEnum;

public class MusicCardDto {
    @ApiModelProperty(value = "报名id",required = true)
    private String registerId;

    @ApiModelProperty(value = "用户姓名",required = true)
    private String userName;

    @ApiModelProperty(value = "乐团编号",required = true)
    private String musicGroupId;
    
    @ApiModelProperty(value = "乐团状态（报名中、缴费中、筹备中、进行中、取消）",required = false)
    private MusicGroupStatusEnum musicGroupStatus;

    @ApiModelProperty(value = "科目编号",required = true)
    private String subjectId;

    @ApiModelProperty(value = "乐团名称",required = true)
    private String musicGroupName;

    @ApiModelProperty(value = "科目名称",required = true)
    private String subjectName;

    @ApiModelProperty(value = "所在年级",required = true)
    private String currentGrade;

    @ApiModelProperty(value = "所在班级",required = true)
    private String currentClass;

    @ApiModelProperty(value = "缴费状态",required = true)
    private String paymentStatus = "PAID_COMPLETED";

    @ApiModelProperty(value = "乐团数量",required = true)
    private Integer musicGroupNum;

    @ApiModelProperty(value = "vip课数量",required = true)
    private Integer vipClassNum;
	
    @ApiModelProperty(value = "学生端是否展示乐团档案",required = true)
	private Boolean isShowRecordOfStudent = false;

    public String getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(String paymentStatus) {
        if(StringUtils.isEmpty(paymentStatus)){
            paymentStatus = "PAID_COMPLETED";
        }
        this.paymentStatus = paymentStatus;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public MusicGroupStatusEnum getMusicGroupStatus() {
		return musicGroupStatus;
	}

	public void setMusicGroupStatus(MusicGroupStatusEnum musicGroupStatus) {
		this.musicGroupStatus = musicGroupStatus;
	}

	public Integer getMusicGroupNum() {
        return musicGroupNum;
    }

    public void setMusicGroupNum(Integer musicGroupNum) {
        this.musicGroupNum = musicGroupNum;
    }

    public Integer getVipClassNum() {
        return vipClassNum;
    }

    public void setVipClassNum(Integer vipClassNum) {
        this.vipClassNum = vipClassNum;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getCurrentGrade() {
        return currentGrade;
    }

    public void setCurrentGrade(String currentGrade) {
        this.currentGrade = currentGrade;
    }

    public String getCurrentClass() {
        return currentClass;
    }

    public void setCurrentClass(String currentClass) {
        this.currentClass = currentClass;
    }

    public String getRegisterId() {
        return registerId;
    }

    public void setRegisterId(String registerId) {
        this.registerId = registerId;
    }

    public String getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(String subjectId) {
        this.subjectId = subjectId;
    }

	public Boolean getIsShowRecordOfStudent() {
		return isShowRecordOfStudent;
	}

	public void setIsShowRecordOfStudent(Boolean isShowRecordOfStudent) {
		this.isShowRecordOfStudent = isShowRecordOfStudent;
	}
}
